import { Module } from '@nestjs/common';
import { NoteController } from './note.controller';
import { NoteService } from './note.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Note } from 'src/entities/note.entity';
import { AttachmentService } from 'src/attachment/attachment.service';
import { DrepService } from 'src/drep/drep.service';
import { ReactionsService } from 'src/reactions/reactions.service';
import { CommentsService } from 'src/comments/comments.service';
import { VoterService } from 'src/voter/voter.service';
import { AuthService } from 'src/auth/auth.service';
import { HttpModule } from '@nestjs/axios';
import { BlockfrostService } from 'src/blockfrost/blockfrost.service';

@Module({
  imports: [
    HttpModule.register({
      timeout: 5000,
      maxRedirects: 5,
    }),
    TypeOrmModule.forFeature([Note]),
  ],
  controllers: [NoteController],
  providers: [
    NoteService,
    AttachmentService,
    DrepService,
    ReactionsService,
    CommentsService,
    VoterService,
    AuthService,
    BlockfrostService,
  ],
})
export class NoteModule {}
