export const getEpochParams:string = `
SELECT 
    epoch_param.epoch_no,
    epoch_param.min_fee_a,
    epoch_param.min_fee_b,
    epoch_param.max_block_size,
    epoch_param.max_tx_size,
    epoch_param.max_bh_size,
    epoch_param.key_deposit,
    epoch_param.pool_deposit,
    epoch_param.max_epoch,
    epoch_param.optimal_pool_count,
    epoch_param.influence,
    epoch_param.monetary_expand_rate,
    epoch_param.treasury_growth_rate,
    epoch_param.decentralisation,
    epoch_param.protocol_major,
    epoch_param.protocol_minor,
    epoch_param.min_utxo_value,
    epoch_param.min_pool_cost,
    CAST(epoch_param.nonce AS TEXT),
    epoch_param.price_mem,
    epoch_param.price_step,
    epoch_param.max_tx_ex_mem,
    epoch_param.max_tx_ex_steps,
    epoch_param.max_block_ex_mem,
    epoch_param.max_block_ex_steps,
    epoch_param.max_val_size,
    epoch_param.collateral_percent,
    epoch_param.max_collateral_inputs,
    epoch_param.extra_entropy,
    epoch_param.coins_per_utxo_size,
    epoch_param.pvt_motion_no_confidence,
    epoch_param.pvt_committee_normal,
    epoch_param.pvt_committee_no_confidence,
    epoch_param.pvt_hard_fork_initiation,
    epoch_param.dvt_motion_no_confidence,
    epoch_param.dvt_committee_normal,
    epoch_param.dvt_committee_no_confidence,
    epoch_param.dvt_update_to_constitution,
    epoch_param.dvt_hard_fork_initiation,
    epoch_param.dvt_p_p_network_group,
    epoch_param.dvt_p_p_economic_group,
    epoch_param.dvt_p_p_technical_group,
    epoch_param.dvt_p_p_gov_group,
    epoch_param.dvt_treasury_withdrawal,
    epoch_param.committee_min_size,
    epoch_param.committee_max_term_length,
    epoch_param.gov_action_lifetime,
    epoch_param.gov_action_deposit,
    epoch_param.drep_deposit,
    epoch_param.drep_activity,
    epoch_param.pvtpp_security_group,
    epoch_param.min_fee_ref_script_cost_per_byte,
    cm.costs AS cost_models,
    CAST(cm.hash AS TEXT)
FROM 
    "epoch_param"
LEFT JOIN 
    cost_model AS cm ON epoch_param.cost_model_id = cm.id
ORDER BY 
    "epoch_no" DESC
LIMIT 1;`